### Function

# Fwupd checksum_type_to_string_display

since: 1.9.6

#### Declaration [src]

    const gchar*
    fwupd_checksum_type_to_string_display (
      GChecksumType checksum_type
    )

#### Description [src]

Formats a checksum type for display.

Available since: 1.9.6

#### Parameters

`checksum_type`

  Type: `GChecksumType`

  A `GChecksumType`, e.g. `G_CHECKSUM_SHA1`.

#### Return value

Type: `const gchar*`

Text, or `NULL` for invalid.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.